package generator;

import java.io.Serializable;
import java.util.Date;


/**
 * statistic_report
 * @author 
 */
public class StatisticReport implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 报表名称
     */
    private String reportName;

    /**
     * 积木报表id
     */
    private String reportId;

    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 当前状态（1：未开始，2：进行中，3：已结束）
     */
    private String reportStatus;

    /**
     * 状态(1：无效，2:有效)
     */
    private String status;

    /**
     * 模板文件
     */
    private String repUploadFile;

    /**
     * 注意事项
     */
    private String remark;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;


    @Override
    public String toString() {
        return "StatisticReport{" +
                "id=" + id +
                ", reportName='" + reportName + '\'' +
                ", reportId='" + reportId + '\'' +
                ", templateName='" + templateName + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", reportStatus='" + reportStatus + '\'' +
                ", status='" + status + '\'' +
                ", repUploadFile='" + repUploadFile + '\'' +
                ", remark='" + remark + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime=" + updateTime +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String reportStatus) {
        this.reportStatus = reportStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRepUploadFile() {
        return repUploadFile;
    }

    public void setRepUploadFile(String repUploadFile) {
        this.repUploadFile = repUploadFile;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}